Subject: bug#23705: closed (Re: bug#23705: 25.0.94; Upper-case abbrev expansion doesn't work with subword-mode enabled)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 Jun 2016 18:22:02 +0000

Your bug report

#23705: 25.0.94; Upper-case abbrev expansion doesn't work with subword-mode enabled

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23705: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23705
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23705: 25.0.94; Upper-case abbrev expansion doesn't work with subword-mode enabled
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jun 2016 21:22:05 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 09 Jun 2016 18:06:33 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Arash <[email-masked]>
> > Cc: Glenn Morris <[email-masked]>,  [email-masked]
> > Date: Thu, 09 Jun 2016 19:31:18 +0430
> > 
> > > So I think the OP needs to change the abbrevs in use to not bump into
> > > this contradiction.
> > 
> > I think I just turn subword-mode off :D
> 
> Yes, that's another possibility.

No further comments, so I'm marking this bug as done.

Subject: 25.0.94; Upper-case abbrev expansion doesn't work with subword-mode enabled
From: Arash <[email-masked]>
To: [email-masked]
Date: Mon, 06 Jun 2016 11:48:06 +0430
List-Id: <debbugs-submit.debbugs.gnu.org>

If I evalulate this in `emacs -Q' with subword-mode enabled, 8G won't expand:

(define-abbrev-table 'c++-mode-abbrev-table
  '(("8g" "struct" nil 0)
    ("8G" "class" nil 0)))